Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.jmf.renderer.video
Class MJPEGRenderer

    java.lang.Object
      AbstractVideoRenderer
          org.monte.media.jmf.renderer.video.MJPEGRenderer

All Implemented Interfaces:
  javax.media.Controls, javax.media.PlugIn, javax.media.Renderer, javax.media.renderer.VideoRenderer

    public class MJPEGRenderer

extends AbstractVideoRenderer
implements javax.media.renderer.VideoRenderer

Renderer which renders JPEG directly. There is a comparable class in JMF, hence this implementation. However, it seems like this is not really needed if there is a JPEGDecoder Codec registered. However, the original cross-platform JMF did not include such a Codec. Because this class does not use BufferToImage, it is not subject to any of its limitations and will render images that BufferToImage does not support yet. This is not really anything good, it is only worth pointing out because it can be confusing when testing JPEG playback.

Author:
  Ken Larson

Field Summary

Fields inherited from interface javax.media.PlugIn
`BUFFER_PROCESSED_FAILED, BUFFER_PROCESSED_OK, INPUT_BUFFER_NOT_CONSUMED, OUTPUT_BUFFER_NOT_FILLED, PLUGIN_TERMINATED`

Constructor Summary
`MJPEGRenderer()`

Method Summary
`int` | `doProcess(javax.media.Buffer buffer)`
`java.awt.Component` | `getComponent()`
`java.lang.Object[]` | `getControls()`
`java.lang.String` | `getName()`
`javax.media.Format[]` | `getSupportedInputFormats()`
`javax.media.Format` | `setInputFormat(javax.media.Format format)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.media.renderer.VideoRenderer
`getBounds, setBounds, setComponent`

Methods inherited from interface javax.media.Renderer
`process, start, stop`

Methods inherited from interface javax.media.PlugIn
`close, open, reset`

Methods inherited from interface javax.media.Controls
`getControl`

Constructor Detail

### MJPEGRenderer

    public MJPEGRenderer()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.media.PlugIn`

### getSupportedInputFormats

    public javax.media.Format[] getSupportedInputFormats()

  Specified by:
    `getSupportedInputFormats` in interface `javax.media.Renderer`

### getComponent

    public java.awt.Component getComponent()

  Specified by:
    `getComponent` in interface `javax.media.renderer.VideoRenderer`

### getControls

    public java.lang.Object[] getControls()

  Specified by:
    `getControls` in interface `javax.media.Controls`

### setInputFormat

    public javax.media.Format setInputFormat(javax.media.Format format)

  Specified by:
    `setInputFormat` in interface `javax.media.Renderer`

### doProcess

    public int doProcess(javax.media.Buffer buffer)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD